Name: libmikmod
Version: 3.1.10
Release: alt2

Summary: A portable sound library for Unix
Summary(ru-Ru.KOI8-R):       .
License: GPL/LGPL
Group: System/Libraries
Url: http://mikmod.org
Source: %url/files/%name/%name-%version.tar.gz
Patch: %name-3.1.9-texinfo.patch

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: esound-devel glibc-devel-static libaudiofile-devel

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it.
Full source included, use of this library for music/sound effects in
your own programs is encouraged!

%description -l ru-Ru.KOI8-R
Libmikmod -  ,  
          IT,
XM, S3M, MTM, 669, STM, ULT, FAR, MED, AMF, DSM, IMF, GDM, STX, OKT 
MOD,        
 ,    RAW  WAV   .

%package devel
Summary: Header files and libraries for developing apps which will use %name
Summary(ru-Ru.KOI8-R):    ,  %name
Group: Development/C
Requires: %name = %version

%description devel
Install the %name-devel package if you want to develop applications that
will use the %name library.

%description -l ru-Ru.KOI8-R devel
    ,    
    %name.

%package devel-static
Summary: Static version of %name library
Summary(ru-Ru.KOI8-R):    %name
Group: Development/C
Requires: %name-devel = %version

%description devel-static
Install the %name-devel-static package if you want to develop
applications that will use the %name library statically linked.

%description -l ru-Ru.KOI8-R devel-static
      %name,  
 ,    %name.

%prep
%setup -q
%patch -p1

%build
%configure --disable-alsa
%make_build

%install
%makeinstall
chmod a+x %buildroot%_libdir/*.so.*

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel
%install_info mikmod.info

%preun devel
%uninstall_info mikmod.info

%files
%_libdir/*.so.*
%doc AUTHORS NEWS README TODO

%files devel
%_bindir/*
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_man1dir/*
%_infodir/*.info*
%_datadir/aclocal/*

%files devel-static
%_libdir/*.a

%changelog
* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 3.1.10-alt2
- Rebuild with gcc-3.2. 

* Sat Feb 2 2002  Yuri N. Sedunov <aris@altlinux.ru> 3.1.10-alt1
- new version

* Fri Dec 21 2001 Yuri N. Sedunov <aris@altlinux.ru> 3.1.9-alt1
- Rebuilt with EsounD support, it works.
- URLs changed.
- Russian summary and description added.
- devel-static package

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.9-ipl5mdk
- Added and applied official "a" patch.

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 3.1.9-ipl4mdk
- RE adaptions.

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-4mdk
- build for gcc-2.96
- capitalized summary
- fix requires

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-3mdk
- disable alsa, from :
	Goetz Waschk <waschk@linux-mandrake.com>
	- removed alsa support, it caused segfaults

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.9-2mdk
- macroszifications
- fix hte filelist (*.so goes to devel not main)
- rebuild for BM

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-1mdk
- v 3.1.9
- fix group
- add doc
- spechelper fix

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .so in %files section (reported by David Mihm
  <dmihm@rchitecture.com>).

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 3.1.8.

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .la file.

* Sat Jul 17 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- downgraded to version 3.1.6 for xmms compatibilty.

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
